// Příklad užití vnitřních hodin Arduina synchronizovaných vnějšími RTC.
// http://playground.arduino.cc/code/time
// https://www.pjrc.com/teensy/td_libs_DS1307RTC.html
// http://uart.cz/78/obvod-realneho-casu-ds1307/
// http://uart.cz/383/arduino-a-obvod-realneho-casu/

#include <Time.h>
#include <Wire.h>
#include <DS1307RTC.h>
 
void setup()  {
  Serial.begin(9600);
 
// Načteme datum a čas z externího RTC a nastavíme Arduino.
  setSyncProvider(RTC.get);
  if(timeStatus()!= timeSet)
     Serial.println("Unable to sync with the RTC");
  else
     Serial.println("RTC has set the system time");
}

// Ve smyčce vypisujeme stav vnitřních hodin.
void loop() {
 Serial.print(day());
 Serial.print(".");
 Serial.print(month());
 Serial.print(".");
 Serial.print(year());
 Serial.print(" ");
 Serial.print(hour());
 Serial.print(":");
 Serial.print(minute());
 Serial.print(":");
 Serial.println(second());
 delay(1000);
  }
